fullnameOverride: "inquiries"

image:
    # -- Image to use for deploying, must support an entrypoint which creates users/databases from appropriate config files
    # -- The container image repository that should be used.  E.g 'nginx', 'gcr.io/kubernetes-helm/tiller'.       
  repository: nginx
  pullPolicy: IfNotPresent
  tag: "latest"
replicaCount: 1

nodeSelector: 
  agentpool: application

service:
  targetPort: 80

resource:
  enabled: true
resources:
  requests:
    cpu: "20m"
    memory: "512Mi"
  limits:
    cpu: "100m"
    memory: "1000Mi"

job: 
 enabled: false

lifecycle:
  preStop:
    exec:
      command: ["sleep", "90"]
    
terminationGracePeriodSeconds: 101

securityContext:
 allowPrivilegeEscalation: false
 capabilities:
  drop: ["ALL"]
  add: ["NET_BIND_SERVICE", "CHOWN", "SETGID", "SETUID"]

ingress:    
  enabled: true
  className: "azure-application-gateway"
  annotations:
    appgw.ingress.kubernetes.io/connection-draining: "true"
    appgw.ingress.kubernetes.io/connection-draining-timeout: "30"
  hosts:                        
    - host: inquiries-dev.catereasewebtools.com
      paths:
        - path: /
          pathType: ImplementationSpecific

  tls: 
   - secretName: catereasewebtools.com-wildcard-tls
     hosts:
       - inquiries-dev.catereasewebtools.com